/*
  Flash LEDs D2 & D3 repeatedly on S100Computers 328-2560 CPU board (with 2560 CPU).
  by John Monahan S100Computers.Com   4/19/2018
*/

// LEDs showing Red/Write activity
  #define READ_LED 3                           // PE4 CPU pin 6 to LED D2  (GREEN)
  #define WRITE_LED 2                          // PE5 CPU pin 7 to LED D3  (RED)  

#include <EEPROM.h>

// the setup function runs once when you press reset or power the board
void setup() {
                                  // initialize digital pin LED_BUILTIN as an output.
  pinMode(READ_LED, OUTPUT);
  pinMode(WRITE_LED, OUTPUT);
}

// the loop function runs over and over again forever
void loop() {
  digitalWrite(READ_LED, HIGH);   // turn the LED on (HIGH is the voltage level)
  delay(100);                       // wait for a second
  digitalWrite(READ_LED, LOW);    // turn the LED off by making the voltage LOW
  delay(100);                       // wait for a second
  digitalWrite(WRITE_LED, HIGH);   // turn the LED on (HIGH is the voltage level)
  delay(100);                       // wait for a second
  digitalWrite(WRITE_LED, LOW);    // turn the LED off by making the voltage LOW
  delay(100);                       // wait for a second
}

