/*
  Flash LEDs D2 & D3 repeatedly on S100Computers 328-2560 CPU board using 328 CPU.
  by John Monahan S100Computers.Com   4/19/2018
*/

// LEDs showing Red/Write activity 
#define WRITE_LED 3                // 328 CPU Pin5, PD3 (LED D3, Red)
#define READ_LED 2                 // 328 CPU Pin4, PD2 (LED D2, Green)
#define UNO_LED 13                 // Set WRITE LED to 13 to see LED on ARDUINO BOARD FLASH

#include <EEPROM.h>

// the setup function runs once when you press reset or power the board
void setup() {
                                  // initialize digital pin LED_BUILTIN as an output.
  pinMode(READ_LED, OUTPUT);
  pinMode(WRITE_LED, OUTPUT);
  pinMode(UNO_LED, OUTPUT);
}

// the loop function runs over and over again forever
void loop() {
  digitalWrite(READ_LED, HIGH);   // turn the LED on (HIGH is the voltage level)
  delay(100);                     // wait for a second
  digitalWrite(READ_LED, LOW);    // turn the LED off by making the voltage LOW
  delay(100);                     // wait for a second

  digitalWrite(WRITE_LED, HIGH);  // turn the LED on (HIGH is the voltage level)
  delay(100);                    // wait for a second
  digitalWrite(UNO_LED, HIGH);    // turn the LED on (HIGH is the voltage level)
  delay(100);                    // wait for a second
  digitalWrite(WRITE_LED, LOW);   // turn the LED off by making the voltage LOW
  delay(100);                     // wait for a second
  digitalWrite(UNO_LED, LOW);    // turn the LED on (HIGH is the voltage level)
  delay(100);                     // wait for a second
}

